import { Controller, Get, Render } from '@nestjs/common';
import { TeamspeakService } from '../services/teamspeak.service';

@Controller()
export class AppController {
    constructor(private teamspeakService: TeamspeakService) {}

    @Get()
    @Render('index.hbs')
    async getIndex(): Promise<Record<string, unknown>> {
        const channels = await this.teamspeakService.getPopulatedChannelList();
        return { title: 'Cliffbreak.de TS-Viewer', channels };
    }
}